Name:		radeontool
Version:	1.5
Release:	%mkrel 6
Summary:	Enable/disable ATI Radeon external display/backlight
Source0:	http://www.fdd.com/software/radeon/radeontool-%{version}.tar.bz2
Source1:	http://www.fdd.com/software/radeon/lightwatch2.pl
Patch0:		radeontool-1.5.patch
URL:		http://www.fdd.com/software/radeon
License:	BSD
Group:		System/Configuration/Hardware
BuildRoot:	%_tmppath/%name-%version-buildroot

%description
This utility should enable/disable the external display for ATI Radeon video
cards.
It should also enable/disable the backlight on a laptop equipped with a an ATI
Radeon Mobility video card.
Since it was engineered without access to the Radeon documents, it may as well
break your hardware.
USE RADEONTOOL AT YOUR OWN RISK


%prep
%setup -q
%patch -p1 -b .orig
cp %{SOURCE1} .

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
install radeontool %{buildroot}%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc CHANGES lightwatch.pl lightwatch2.pl
%{_sbindir}/radeontool




%changelog
* Mon Aug 25 2008 Luca Berra <bluca@mandriva.org> 1.5-8mdv2009.0
+ Revision: 275696
- fix segfault when using --debug (#43128)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5-4mdv2008.1
+ Revision: 134671
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2008.1
+ Revision: 126435
- kill re-definition of %%buildroot on Pixel's request


* Sun Jan 21 2007 Emmanuel Andry <eandry@mandriva.org> 1.5-3mdv2007.0
+ Revision: 111399
- bunzip patch /
  %%mkrel
- Import radeontool

* Mon Aug 29 2005 Luca Berra <bluca@vodka.it> 1.5-2mdk
- rebuild

* Sat Jul 24 2004 Luca Berra <bluca@vodka.it> 1.5-1mdk
- 1.5
- added lightwatch2.pl to docs

